summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-01-26 20:46:44 +0000
committer Eric Hameleers <alien@slackware.com>2022-01-27 08:59:55 +0100
commit8a82997b2e8f0b7c191f233a196c4d9190c170c9 (patch)
treee895ae791a5ed0459663d3a6d7cb288720749e98 /source
parenta733d591479391a9aaf78b2872e2afed5dc6658f (diff)
downloadcurrent-8a82997b2e8f0b7c191f233a196c4d9190c170c9.tar.gz
current-8a82997b2e8f0b7c191f233a196c4d9190c170c9.tar.xz
Wed Jan 26 20:46:44 UTC 202220220126204644
a/aaa_libraries-15.0-x86_64-17.txz: Rebuilt. Upgraded: libcap.so.2.63, libglib-2.0.so.0.7000.3, libgmodule-2.0.so.0.7000.3, libgobject-2.0.so.0.7000.3, libgthread-2.0.so.0.7000.3, libtdb.so.1.4.6. a/mkinitrd-1.4.11-x86_64-28.txz: Rebuilt. Support kernel modules compressed with xz. Thanks to baldzhang. l/glib2-2.70.3-x86_64-1.txz: Upgraded. l/libcap-2.63-x86_64-1.txz: Upgraded. n/bluez-5.63-x86_64-2.txz: Rebuilt. rc.bluetooth: use #!/bin/bash shebang. Filter commented and empty lines when parsing uart.conf. Thanks to atelszewski.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/aaa_libraries/aaa_libraries.SlackBuild2
-rw-r--r--source/a/mkinitrd/0005-support-modules-compressed-with-xz.patch11
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild4
-rwxr-xr-xsource/n/bluez/bluez.SlackBuild2
-rw-r--r--source/n/bluez/config/rc.bluetooth4
5 files changed, 18 insertions, 5 deletions
diff --git a/source/a/aaa_libraries/aaa_libraries.SlackBuild b/source/a/aaa_libraries/aaa_libraries.SlackBuild
index 16f2505c0..a81c40ef1 100755
--- a/source/a/aaa_libraries/aaa_libraries.SlackBuild
+++ b/source/a/aaa_libraries/aaa_libraries.SlackBuild
@@ -23,7 +23,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aaa_libraries
VERSION=${VERSION:-15.0}
-BUILD=${BUILD:-16}
+BUILD=${BUILD:-17}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/mkinitrd/0005-support-modules-compressed-with-xz.patch b/source/a/mkinitrd/0005-support-modules-compressed-with-xz.patch
new file mode 100644
index 000000000..a746ddf42
--- /dev/null
+++ b/source/a/mkinitrd/0005-support-modules-compressed-with-xz.patch
@@ -0,0 +1,11 @@
+--- ./mkinitrd.orig 2021-04-27 13:53:00.500036921 -0500
++++ ./mkinitrd 2022-01-26 14:31:33.134016601 -0600
+@@ -755,7 +755,7 @@
+ fi
+
+ if ! grep -Eq " $(basename $SRCMOD .ko)(\.| |$)" $SOURCE_TREE/load_kernel_modules 2>/dev/null ; then
+- LINE="$(echo "modprobe -v $(basename ${SRCMOD%%.gz} .ko)" )"
++ LINE="$(echo "modprobe -v $(basename ${SRCMOD%%.ko*})" )"
+
+ # Test to see if arguments should be passed
+ # Over-ride the previously defined LINE variable if so
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 500b919a1..7fd28b3da 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.32.1
-BUILD=${BUILD:-27}
+BUILD=${BUILD:-28}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -124,6 +124,8 @@ chmod 755 $PKG/sbin/mkinitrd
( cd $PKG/sbin ; zcat $CWD/0002-bail-if-temp-dir-is-not-created.patch.gz | patch -p1 --verbose || exit 1) || exit 1
# Don't include 40-usb_modeswitch.rules on the initrd:
( cd $PKG/sbin ; zcat $CWD/0003-blacklist.40-usb_modeswitch.rules.patch.gz | patch -p1 --verbose || exit 1) || exit 1
+# Support modules compressed with xz:
+( cd $PKG/sbin ; zcat $CWD/0005-support-modules-compressed-with-xz.patch.gz | patch -p1 --verbose || exit 1) || exit 1
rm -f $PKG/sbin/mkinitrd.orig
# Use -R if we detect the root partition is a partition of a RAID device:
( cd $PKG/usr/share/mkinitrd ; zcat $CWD/0004-check-if-BASEDEV-is-a-partition-of-a-RAID-volume.patch.gz | patch -p1 --verbose || exit 1) || exit 1
diff --git a/source/n/bluez/bluez.SlackBuild b/source/n/bluez/bluez.SlackBuild
index de035ce03..ce4ad536c 100755
--- a/source/n/bluez/bluez.SlackBuild
+++ b/source/n/bluez/bluez.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=bluez
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/n/bluez/config/rc.bluetooth b/source/n/bluez/config/rc.bluetooth
index b56fcd101..fb5b8d68e 100644
--- a/source/n/bluez/config/rc.bluetooth
+++ b/source/n/bluez/config/rc.bluetooth
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# /etc/rc.d/rc.bluetooth (based on BLFS script)
@@ -26,7 +26,7 @@ run_sdptool() {
start_uarts() {
[ -r /etc/bluetooth/uart.conf ] || return
- grep -v '^[[:space:]]*(#|$)' /etc/bluetooth/uart.conf | while read i; do
+ grep -v '^[[:space:]]*(#|$)' /etc/bluetooth/uart.conf | grep -v "^#" | sed -r '/^\s*$/d' | while read i; do
/usr/bin/hciattach $i > /dev/null 2>&1
done
}